Index: /extensions/NBC_UserAdvManager/trunk/ConfirmMail.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/ConfirmMail.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/ConfirmMail.php	(revision 5593)
@@ -35,8 +35,4 @@
 		);
   }
-
-  //$refresh_txt = l10n('ConfirmMail_redirection');
-  //$refresh_time = '10';
-  //redirect(make_index_url(),'',$refresh_time);
 }
 
Index: /extensions/NBC_UserAdvManager/trunk/ConfirmMail.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/ConfirmMail.tpl	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/ConfirmMail.tpl	(revision 5593)
@@ -1,3 +1,2 @@
-{* $Id: ConfirmMail.tpl $ *}
 <div id="content" class="content">
   <div class="titrePage">
Index: /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 5593)
@@ -14,5 +14,5 @@
 //ini_set('display_errors', true);
 
-include_once (PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
+include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
 include_once (PHPWG_ROOT_PATH.'/include/constants.php');
 $my_base_url = get_admin_plugin_menu_link(__FILE__);
@@ -452,5 +452,5 @@
 // |                           templates display                           |
 // +-----------------------------------------------------------------------+
-  $template->set_filename('plugin_admin_content', dirname(__FILE__) . '/global.tpl');
+  $template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/global.tpl');
   $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
 
@@ -573,12 +573,4 @@
       }
       else $display = '';
-      
-      /* Plugin version inserted */
-      $template->assign(
-        array(
-          'UAM_VERSION' => $version,
-          'UAM_PATH'    => UAM_PATH,
-          )
-        );
 
    		$template->append(
@@ -594,4 +586,11 @@
 			);
 		}
+    /* Plugin version inserted */
+    $template->assign(
+      array(
+        'UAM_VERSION'  => $version,
+        'UAM_PATH'     => UAM_PATH,
+      )
+    );    
 // +-----------------------------------------------------------------------+
 // |                             errors display                            |
@@ -609,10 +608,10 @@
 // |                           templates display                           |
 // +-----------------------------------------------------------------------+
-		$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/userlist.tpl');
+		$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/userlist.tpl');
     $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');		
   }
   else
   {
-		array_push($page['infos'], l10n('Err_Userlist_Settings'));
+		array_push($page['errors'], l10n('Err_Userlist_Settings'));
   }
   break;
@@ -1163,10 +1162,10 @@
 // |                           templates display                           |
 // +-----------------------------------------------------------------------+
-		$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/usermanager.tpl');
+		$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/usermanager.tpl');
     $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');		
 	}
   else
   {
-		array_push($page['infos'], l10n('Err_UserManager_Settings'));
+		array_push($page['errors'], l10n('Err_UserManager_Settings'));
   }
   break;
@@ -1554,10 +1553,10 @@
 // |                           templates display                           |
 // +-----------------------------------------------------------------------+
-		$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/ghosttracker.tpl');
+		$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/ghosttracker.tpl');
     $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');		
 	}
   else
   {
-		array_push($page['infos'], l10n('Err_GhostTracker_Settings'));
+		array_push($page['errors'], l10n('Err_GhostTracker_Settings'));
   }
 
Index: /extensions/NBC_UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 5593)
@@ -153,7 +153,14 @@
 -- 2.14.1 : Bug 1497 fixed - Using users tracker without Ghost Tracker is now OK
 
--- 2.14.2 : Bug 1474 fixed - Messages on registration's confirmation return page (ConfirmMail.tpl) are customizable 
+
+***************************************
+***** Plugin history (branch 2.15)*****
+***************************************
+
+-- 2.15.0 : Plugin compatibility for Piwigo 2.1
             Bug 1467 fixed - FCK Editor's functionnalities are available on registration's confirmation return page customization fields
+            Bug 1474 fixed - Messages on registration's confirmation return page (ConfirmMail.tpl) are customizable 
             Bug 1508 fixed - Plugin's name is now UserAdvManager (deletion of "nbc_" in code and PEM)
+            Bug 1551 fixed - Database upgrade improvement
 */
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 5593)
@@ -148,3 +148,17 @@
 <b>HINWEIS</b> : Die Liste wird nicht angezeigt, die nicht validiert ihrer Registrierung (falls die M&ouml;glichkeit der Validierung der Registrierung aktiviert ist). Diese Benutzer werden dann in besonderer Weise in der &quot;Tracking Validierungen verwaltet&quot; aus.';
 // --------- End: New or revised $lang ---- from version 2.14.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+/*TODO*/$lang['UAM_confirmmail_custom1'] = 'Text of the confirmation page - Confirmation accepted';
+/*TODO*/$lang['UAM_confirmmail_custom1_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>acceptance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.<br>
+After installing the plugin, a standard text is set as an example.<br>
+This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.<br>
+<b style=&quot;color:red;&quot;>Changing the text is possible ONLY if &quot;Confirmation of registration&quot; is activated.</b>';
+/*TODO*/$lang['UAM_confirmmail_custom2'] = 'Text of the confirmation page - Confirmation rejected';
+/*TODO*/$lang['UAM_confirmmail_custom2_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>rejectance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.<br>
+After installing the plugin, a standard text is set as an example.<br>
+This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.<br>
+<b style=&quot;color:red;&quot;>Changing the text is possible ONLY if &quot;Confirmation of registration&quot; is activated.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 5593)
@@ -197,5 +197,4 @@
 $lang['Reminder_without_key_of_%s'] = '%s, Ihre Validierung Schlüssel abläuft';
 /* Errors and Warnings */
-$lang['Err_UserManager_Settings'] = 'Diese Seite ist nur verfügbar, wenn &quot;Deadline für die Registrierung begrenzte Validierung&quot; aktiv ist und ein Unvalidierte User-Gruppe ist im Abschnitt &quot;Einstellung Bestätigungen und Validierungen der Registrierung&quot; gesetzt.';
 $lang['Err_GhostTracker_Settings'] = 'Diese Seite ist nur verfügbar, wenn &quot;Geist Tracker&quot; aktiv &quot;Einstellen der Registrierung durchgeführt und andere Optionen&quot;.';
 $lang['Err_Userlist_Settings'] = 'Diese Seite ist nur verfügbar, wenn &quot;Monitoring registrierte Benutzer&quot; ist aktiv in der &quot;Einstellung der Registrierung durchgeführt und andere Optionen&quot;';
@@ -225,5 +224,5 @@
 - Optional können Sie das Plugin Extended Description Multi-Sprachen<br>
             </li><br><br>
-              <li>
+            <li>
 Etappen:<br><br>
 A. In plugin UAM:
@@ -235,5 +234,5 @@
                 <li>Speichern Sie das Plugin-Konfiguration</li>
               </ol>
-              </li><br>
+<br>
 B. In plugin PWG Stuffs :
               <ol>
@@ -244,5 +243,15 @@
                 <li>Überprüfen Sie die Konfiguration des Moduls</li>
               </ol>
+            </li>
           </ul>';
 // --------- End: New or revised $lang ---- from version 2.14.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+$lang['UAM_confirmmail_custom_Txt1'] = 'Text der Bestätigungs-Seite - Bestätigung akzeptiert';
+$lang['UAM_confirmmail_custom_Txt2'] = 'Text der Bestätigungs-Seite - Bestätigung abgelehnt';
+$lang['LastVisit_Date'] = 'Letzter Besuch';
+$lang['Nb_Days'] = 'Differenz in Tagen';
+$lang['Err_UserManager_Settings'] = 'Diese Seite ist nur verfügbar, wenn "Bestätigung der Anmeldung" aktiv ist und wenn eine Gruppe von nicht validierte Besuchern wird in "Einstellen Bestätigungen und Validierungen der Registrierung" konfiguriert.';
+// --------- End: New or revised $lang ---- from version 2.15.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 5593)
@@ -148,3 +148,17 @@
 <b>NOTE</b> : The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the &quot;Tracking validations&quot; tab.';
 // --------- End: New or revised $lang ---- from version 2.14.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+$lang['UAM_confirmmail_custom1'] = 'Text of the confirmation page - Confirmation accepted';
+$lang['UAM_confirmmail_custom1_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>acceptance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.<br>
+After installing the plugin, a standard text is set as an example.<br>
+This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.<br>
+<b style=&quot;color:red;&quot;>Changing the text is possible ONLY if &quot;Confirmation of registration&quot; is activated.</b>';
+$lang['UAM_confirmmail_custom2'] = 'Text of the confirmation page - Confirmation rejected';
+$lang['UAM_confirmmail_custom2_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>rejectance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.<br>
+After installing the plugin, a standard text is set as an example.<br>
+This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.<br>
+<b style=&quot;color:red;&quot;>Changing the text is possible ONLY if &quot;Confirmation of registration&quot; is activated.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 5593)
@@ -66,5 +66,4 @@
 /* Ghost Tracker Tab */
 $lang['Tab_GhostTracker'] = 'Ghost Tracker';
-$lang['LastVisit_Date'] = 'Last visit';
 $lang['Reminder'] = 'Email reminder';
 $lang['Reminder_Sent_OK'] = 'YES';
@@ -105,5 +104,4 @@
 /* UserList Tab */
 $lang['UserList_Title'] = 'Monitoring registered users';
-$lang['Nb_Days'] = 'Number of days<br>since last visit';
 // --------- End: New or revised $lang ---- from version 2.13.0
 
@@ -197,5 +195,4 @@
 $lang['Reminder_without_key_of_%s'] = '%s, your validation key will expire';
 /* Errors and Warnings */
-$lang['Err_UserManager_Settings'] = 'This page is available only if "Deadline for registration validation limited" is active and an unvalidated users group is set in "Setting confirmations and validations of registration".';
 $lang['Err_GhostTracker_Settings'] = 'This page is available only if "Ghost Tracker" is active in "Setting the registrations followed and other options".';
 $lang['Err_Userlist_Settings'] = 'This page is available only if "Monitoring registered users" is active in the "Setting the registrations followed and other options".';
@@ -224,5 +221,5 @@
 - Optionally, the plugin Extended Description to support multi-languages<br>
             </li><br><br>
-              <li>
+            <li>
 Stages:<br><br>
 A. In plugin UAM:
@@ -234,5 +231,5 @@
                 <li>Save the plugin configuration</li>
               </ol>
-              </li><br>
+<br>
 B. In plugin PWG Stuffs :
               <ol>
@@ -243,11 +240,15 @@
                 <li>Validate the configuration of the module</li>
               </ol>
+            </li>
           </ul>';
 // --------- End: New or revised $lang ---- from version 2.14.0
 
 
-// --------- Starting below: New or revised $lang ---- from version 2.14.2
-$lang['UAM_confirmmail_custom_Txt'] = 'Validation page customization';
-/* Email confirmation page */
-// --------- End: New or revised $lang ---- from version 2.14.2
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+$lang['UAM_confirmmail_custom_Txt1'] = 'Text of the confirmation page - Confirmation accepted';
+$lang['UAM_confirmmail_custom_Txt2'] = 'Text of the confirmation page - Confirmation rejected';
+$lang['LastVisit_Date'] = 'Last visit';
+$lang['Nb_Days'] = 'Difference in days';
+$lang['Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not validated is configured in "Setting confirmations and validations of registration".';
+// --------- End: New or revised $lang ---- from version 2.15.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 5593)
@@ -148,3 +148,17 @@
 <b>NOTA</b> : La lista no muestra que no han validado su registro (si la opci&oacute;n de validar el registro est&aacute; activado). Estos usuarios son administrados despu&eacute;s de una manera especial en &quot;Seguimiento de las Validaciones&quot; ficha.';
 // --------- End: New or revised $lang ---- from version 2.14.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+/*TODO*/$lang['UAM_confirmmail_custom1'] = 'Text of the confirmation page - Confirmation accepted';
+/*TODO*/$lang['UAM_confirmmail_custom1_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>acceptance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.<br>
+After installing the plugin, a standard text is set as an example.<br>
+This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.<br>
+<b style=&quot;color:red;&quot;>Changing the text is possible ONLY if &quot;Confirmation of registration&quot; is activated.</b>';
+/*TODO*/$lang['UAM_confirmmail_custom2'] = 'Text of the confirmation page - Confirmation rejected';
+/*TODO*/$lang['UAM_confirmmail_custom2_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>rejectance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.<br>
+After installing the plugin, a standard text is set as an example.<br>
+This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.<br>
+<b style=&quot;color:red;&quot;>Changing the text is possible ONLY if &quot;Confirmation of registration&quot; is activated.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 5593)
@@ -67,5 +67,4 @@
 /* Ghost Tracker Tab */
 $lang['Tab_GhostTracker'] = 'Ghost Tracker';
-$lang['LastVisit_Date'] = 'Última visita';
 $lang['Reminder'] = 'Recordatorio por email';
 $lang['Reminder_Sent_OK'] = 'SI';
@@ -106,5 +105,4 @@
 /* UserList Tab */
 $lang['UserList_Title'] = 'Seguimiento los usuarios registrados';
-$lang['Nb_Days'] = 'Número de días<br>desde la última visita';
 // --------- End: New or revised $lang ---- from version 2.13.0
 
@@ -199,5 +197,4 @@
 $lang['Reminder_without_key_of_%s'] = '%s, su clave de validación expirará';
 /* Errors and Warnings */
-$lang['Err_UserManager_Settings'] = 'Esta página está disponible sólo si "Plazo para la validación de registro limitado" está activa y un grupo de usuarios no validados se encuentra en "Configuración de la confirmación y validación de registro".';
 $lang['Err_GhostTracker_Settings'] = 'Esta página está disponible sólo si "Ghost Tracker" está activo en "Configuración de los registros seguido y otras opciones".';
 $lang['Err_Userlist_Settings'] = 'Esta página está disponible sólo si "Seguimiento de los usuarios registrados" está activo en la "Configuración de los registros seguido y otras opciones".';
@@ -226,5 +223,5 @@
 - Opcionalmente, la Extended Description plugin para soportar múltiples idiomas<br>
             </li><br><br>
-              <li>
+            <li>
 Etapas:<br><br>
 A. En plugin UAM:
@@ -236,5 +233,5 @@
                 <li>Guardar la configuración de plug-in</li>
               </ol>
-              </li><br>
+<br>
 B. En plugin PWG Stuffs :
               <ol>
@@ -245,5 +242,15 @@
                 <li>Validar la configuración del módulo</li>
               </ol>
+            </li>
           </ul>';
 // --------- End: New or revised $lang ---- from version 2.14.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+$lang['UAM_confirmmail_custom_Txt1'] = 'Texto de la página de confirmación - Confirmación aceptada';
+$lang['UAM_confirmmail_custom_Txt2'] = 'Texto de la página de confirmación - Confirmación rechazada';
+$lang['LastVisit_Date'] = 'Su última visita';
+$lang['Nb_Days'] = 'Diferencia en días';
+$lang['Err_UserManager_Settings'] = 'Esta página está disponible sólo si "Confirmación de registro" está activo y si un grupo de visitantes no ha sido validada está configurado en "Configuración de las confirmaciones y validaciones de registro".';
+// --------- End: New or revised $lang ---- from version 2.15.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 5593)
@@ -147,15 +147,15 @@
 
 
-// --------- Starting below: New or revised $lang ---- from version 2.14.2
-$lang['UAM_confirmmail_custom1'] = 'Personnalisation du retour de confirmation - Confirmation acceptée';
-$lang['UAM_confirmmail_custom1_d'] = 'Lorque l\'option &quot;Confirmation d\'inscription&quot; est active, ce champ permet de personnaliser <b><u>le texte d\'acceptation</u></b> de la confirmation d\'inscription sur la page affichée lorsqu\'un utilisateur clique sur le lien de confirmation qu\'il a reçu par email.<br><br>
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+$lang['UAM_confirmmail_custom1'] = 'Texte de la page de confirmation - Confirmation acceptée';
+$lang['UAM_confirmmail_custom1_d'] = 'Lorsque l\'option &quot;Confirmation d\'inscription&quot; est active, ce champ permet de personnaliser <b><u>le texte d\'acceptation</u></b> de la confirmation d\'inscription sur la page affichée lorsqu\'un utilisateur clique sur le lien de confirmation qu\'il a reçu par email.<br><br>
 A l\'installation du plugin, un texte standard est donnée en exemple.<br><br>
 Ce champ est compatible avec l\'extension FCK Editor et, pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.<br><br>
 <b style=&quot;color: red;&quot;>La modification du texte n\'est possible QUE si l\'option &quot;Confirmation d\'inscription&quot; est activée.</b>';
-$lang['UAM_confirmmail_custom2'] = 'Personnalisation du retour de confirmation - Confirmation rejetée';
-$lang['UAM_confirmmail_custom2_d'] = 'Lorque l\'option &quot;Confirmation d\'inscription&quot; est active, ce champ permet de personnaliser <b><u>le texte de rejet</u></b> de la confirmation d\'inscription sur la page affichée lorsqu\'un utilisateur clique sur le lien de confirmation qu\'il a reçu par email.<br><br>
+$lang['UAM_confirmmail_custom2'] = 'Texte de la page de confirmation - Confirmation rejetée';
+$lang['UAM_confirmmail_custom2_d'] = 'Lorsque l\'option &quot;Confirmation d\'inscription&quot; est active, ce champ permet de personnaliser <b><u>le texte de rejet</u></b> de la confirmation d\'inscription sur la page affichée lorsqu\'un utilisateur clique sur le lien de confirmation qu\'il a reçu par email.<br><br>
 A l\'installation du plugin, un texte standard est donnée en exemple.<br><br>
 Ce champ est compatible avec l\'extension FCK Editor et, pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.<br><br>
 <b style=&quot;color: red;&quot;>La modification du texte n\'est possible QUE si l\'option &quot;Confirmation d\'inscription&quot; est activée.</b>';
-// --------- End: New or revised $lang ---- from version 2.14.2
+// --------- End: New or revised $lang ---- from version 2.15.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 5592)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 5593)
@@ -66,5 +66,4 @@
 /* Ghost Tracker Tab */
 $lang['Tab_GhostTracker'] = 'Ghost Tracker';
-$lang['LastVisit_Date'] = 'Date de dernière visite';
 $lang['Reminder'] = 'Email de rappel';
 $lang['Reminder_Sent_OK'] = 'OUI';
@@ -106,5 +105,4 @@
 $lang['UserList_Title'] = 'Suivi des utilisateurs inscrits';
 $lang['Tab_UserList'] = 'Suivi des utilisateurs';
-$lang['Nb_Days'] = 'Nb de jours<br>depuis dernière visite';
 // --------- End: New or revised $lang ---- from version 2.13.0
 
@@ -196,5 +194,4 @@
 $lang['Reminder_without_key_of_%s'] = '%s, votre clef de validation va expirer';
 /* Errors and Warnings */
-$lang['Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Délai de validation d\'inscription" est actif et si un groupe de visiteurs non validés est configuré dans le "Paramétrage des confirmations et validations d\'inscriptions".';
 $lang['Err_GhostTracker_Settings'] = 'Cette page n\'est accessible que si "Gestion des visiteurs fantômes" est actif dans "Paramétrage des suivis des inscrits et autres options".';
 $lang['Err_Userlist_Settings'] = 'Cette page n\'est accessible que si le "Suivi des utilisateurs inscrits" est actif dans "Paramétrage des suivis des inscrits et autres options".';
@@ -211,44 +208,46 @@
             Objectifs:<br>
             - A son arrivée sur la galerie : Informer le visiteur qu\'il peut s\'inscrire pour accéder aux photos privées<br>
-            - A l\'inscription : Générer un email avec lien direct de validation, informer le nouvel utilisateur de sa non-validation et le rattacher au groupe &quot;Attente&quot;<br>
-            - A la validation : Le passer automatiquement du groupe &quot;Attente&quot; au groupe &quot;Validés&quot;, qui lui permet d\'accéder normalement aux catégories privées<br><br>
-            <span style="font-style:italic">Rappel: En fonctionnement standard, le &quot;Guest&quot; ne voit que les catégories publiques, sans message d\'information.</span>
+            - A l\'inscription : Générer un email avec lien direct de validation, informer le nouvel utilisateur de sa non-validation et le rattacher au groupe "Attente"<br>
+            - A la validation : Le passer automatiquement du groupe "Attente" au groupe "Validés", qui lui permet d\'accéder normalement aux catégories privées<br><br>
+            <span style="font-style:italic">Rappel: En fonctionnement standard, le "Guest" ne voit que les catégories publiques, sans message d\'information.</span>
             </li><br><br>
             <li>
 Pré-requis:<br>
 - Une galerie avec tout ou partie des catégories privées, visibles par les seuls utilisateurs inscrits<br>
-- Au moins les 2 groupes d\'utilisateurs Piwigo suivants : &quot;Attente&quot;, sans aucune permission sur les catégories privées, et &quot;Validés&quot;, avec toutes les permissions sur les catégories privées<br>
+- Au moins les 2 groupes d\'utilisateurs Piwigo suivants : "Attente", sans aucune permission sur les catégories privées, et "Validés", avec toutes les permissions sur les catégories privées<br>
 - Le plugin UAM<br>
-- Le plugin PWG Stuffs, pour l\'ajout d\'un module de type &quot;Bloc personnel&quot;<br>
+- Le plugin PWG Stuffs, pour l\'ajout d\'un module de type "Bloc personnel"<br>
 - En option, le plugin Extended Description, pour le support multi-langues<br>
             </li><br><br>
-              <li>
+            <li>
 Réalisation:<br><br>
-A. Dans le plugin UAM:
+A. Dans le plugin UAM:<br>
               <ol>
                 <li>Activer la confirmation d\'inscription</li>
-                <li>Saisir un &quot;texte d\'accueil personnalisé&quot; qui sera joint au mail de confirmation d\'inscription. Si le plugin Extended Description est activé, les balises de langues peuvent être utilisées</li>
-                <li>Sélectionner le groupe &quot;Attente&quot; à la rubrique &quot;Pour les utilisateurs n\'ayant pas validé leur inscription&quot;</li>
-                <li>Sélectionner le groupe &quot;Validés&quot; à la rubrique &quot;Pour les utilisateurs ayant validé leur inscription&quot;</li>
+                <li>Saisir un "texte d\'accueil personnalisé" qui sera joint au mail de confirmation d\'inscription. Si le plugin Extended Description est activé, les balises de langues peuvent être utilisées</li>
+                <li>Sélectionner le groupe "Attente" à la rubrique "Pour les utilisateurs n\'ayant pas validé leur inscription"</li>
+                <li>Sélectionner le groupe "Validés" à la rubrique "Pour les utilisateurs ayant validé leur inscription"</li>
                 <li>Enregistrer la configuration du plugin</li>
               </ol>
-              </li><br>
-B. Dans le plugin PWG Stuffs:
+<br>
+B. Dans le plugin PWG Stuffs:<br>
               <ol>
-                <li>Ajouter un nouveau module de type &quot;Bloc personnel : Affiche un bloc personnel (un édito par exemple)&quot;</li>
-                <li>Configurer le module, en indiquant son titre (ex : &quot;Inscription en attente de validation&quot;) et sa description, et cocher uniquement&quot;Attente&quot; dans la liste des groupes autorisés</li>
+                <li>Ajouter un nouveau module de type "Bloc personnel : Affiche un bloc personnel (un édito par exemple)"</li>
+                <li>Configurer le module, en indiquant son titre (ex : "Inscription en attente de validation") et sa description, et cocher uniquement "Attente" dans la liste des groupes autorisés</li>
                 <li>Compléter le contenu du module avec le texte du message d\'information qui sera affiché aux utilisateurs non validés. Comme dans UAM, les balises de langues peuvent être utilisées si le plugin Extended Description est activé</li>
-                <li>Cocher &quot;Afficher le module sur la page d\'accueil du site&quot;</li>
+                <li>Cocher "Afficher le module sur la page d\'accueil du site"</li>
                 <li>Valider la configuration du module</li>
               </ol>
+            </li>
           </ul>';
 // --------- End: New or revised $lang ---- from version 2.14.0
 
 
-// --------- Starting below: New or revised $lang ---- from version 2.14.0
-$lang['UAM_confirmmail_custom_Txt1'] = 'Personnalisation du retour de confirmation - Confirmation acceptée';
-$lang['UAM_confirmmail_custom_Txt2'] = 'Personnalisation du retour de confirmation - Confirmation rejetée';
-/* Email confirmation page */
-//$lang['ConfirmMail_redirection'] = 'Redirection automatique vers l\'accueil.';
-// --------- End: New or revised $lang ---- from version 2.14.2
+// --------- Starting below: New or revised $lang ---- from version 2.15.0
+$lang['UAM_confirmmail_custom_Txt1'] = 'Texte de la page de confirmation - Confirmation acceptée';
+$lang['UAM_confirmmail_custom_Txt2'] = 'Texte de la page de confirmation - Confirmation rejetée';
+$lang['LastVisit_Date'] = 'Dernière visite le';
+$lang['Nb_Days'] = 'Ecart en jours';
+$lang['Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Confirmation d\'inscription" est actif et si un groupe de visiteurs non validés est configuré dans le "Paramétrage des confirmations et validations d\'inscriptions".';
+// --------- End: New or revised $lang ---- from version 2.15.0
 ?>
